Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Functions | Variables
hchunks_priv.h File Reference
`#include "hdf_priv.h"`
`#include "hfile_priv.h"`

## Data Structures
struct | DIM_DEF_PTR
struct | HCHUNK_DEF_PTR

## Functions
int32 | HMCcreate (int32 file_id, uint16 tag, uint16 ref, uint8 nlevels, int32 fill_val_len, void *fill_val, HCHUNK_DEF *chk_array)
intn | HMCgetcompress (accrec_t *access_rec, comp_coder_t *comp_type, comp_info *c_info)
intn | HMCgetcomptype (int32 access_id, comp_coder_t *comp_type)
intn | HMCgetdatainfo (int32 file_id, uint16 data_tag, uint16 data_ref, int32 *chk_coord, uintn start_block, uintn info_count, int32 *offsetarray, int32 *lengtharray)
intn | HMCgetdatasize (int32 file_id, uint8 *p, int32 *comp_size, int32 *orig_size)
int32 | HMCsetMaxcache (int32 access_id, int32 maxcache, int32 flags)
int32 | HMCwriteChunk (int32 access_id, int32 *origin, const void *datap)
int32 | HMCreadChunk (int32 access_id, int32 *origin, void *datap)
int32 | HMCPcloseAID (accrec_t *access_rec)
int32 | HMCPgetnumrecs (accrec_t *access_rec, int32 *num_recs)

## Variables
funclist_t | chunked_funcs

## Function Documentation

## ◆ HMCcreate()

int32 HMCcreate | ( | int32 | file_id,
|  | uint16 | tag,
|  | uint16 | ref,
|  | uint8 | nlevels,
|  | int32 | fill_val_len,
|  | void * | fill_val,
|  | HCHUNK_DEF * | chk_array )
| extern

## ◆ HMCgetcompress()

intn HMCgetcompress | ( | accrec_t * | access_rec,
|  | comp_coder_t * | comp_type,
|  | comp_info * | c_info )
| extern

## ◆ HMCgetcomptype()

intn HMCgetcomptype | ( | int32 | access_id,
|  | comp_coder_t * | comp_type )
| extern

## ◆ HMCgetdatainfo()

intn HMCgetdatainfo | ( | int32 | file_id,
|  | uint16 | data_tag,
|  | uint16 | data_ref,
|  | int32 * | chk_coord,
|  | uintn | start_block,
|  | uintn | info_count,
|  | int32 * | offsetarray,
|  | int32 * | lengtharray )
| extern

## ◆ HMCgetdatasize()

intn HMCgetdatasize | ( | int32 | file_id,
|  | uint8 * | p,
|  | int32 * | comp_size,
|  | int32 * | orig_size )
| extern

## ◆ HMCPcloseAID()

int32 HMCPcloseAID | ( | accrec_t * | access_rec | ) |
| extern

## ◆ HMCPgetnumrecs()

int32 HMCPgetnumrecs | ( | accrec_t * | access_rec,
|  | int32 * | num_recs )
| extern

## ◆ HMCreadChunk()

int32 HMCreadChunk | ( | int32 | access_id,
|  | int32 * | origin,
|  | void * | datap )
| extern

## ◆ HMCsetMaxcache()

int32 HMCsetMaxcache | ( | int32 | access_id,
|  | int32 | maxcache,
|  | int32 | flags )
| extern

## ◆ HMCwriteChunk()

int32 HMCwriteChunk | ( | int32 | access_id,
|  | int32 * | origin,
|  | const void * | datap )
| extern

## Variable Documentation

## ◆ chunked_funcs

funclist_t chunked_funcs
| extern